## python-license-expression 30.0.0

=== etc/scripts/requirements.txt ===
aboutcode_toolkit
attrs
commoncode
click
requests
saneyaml
pip
setuptools
twine
wheel
build

## python-license-expression 21.6.14

=== debian/changelog ===
python-license-expression (21.6.14-2) unstable; urgency=medium

  * add autopkgtest

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 29 Nov 2021 23:21:35 +0100

python-license-expression (21.6.14-1) unstable; urgency=medium

  * Source rename
  * New upstream version 21.6.14 (Closes: #997876)
  * Fix watch file

 -- Stephan Lachnit <stephanlachnit@debian.org>  Mon, 08 Nov 2021 14:34:39 +0100

license-expression (1.2+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #976143)

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Mon, 30 Nov 2020 13:22:26 +0100

=== debian/control ===
Source: python-license-expression
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-pytest,
 python3-boolean,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/nexB/license-expression
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-license-expression
Vcs-Git: https://salsa.debian.org/python-team/packages/python-license-expression.git
Testsuite: autopkgtest-pkg-python

Package: python3-license-expression
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: small library to handle license expressions
 Can parse, compare, simplify and normalizelicense expression (e.g. SPDX
 license expression) using boolean logic, such as
 "GPL-2.0 or later WITH Classpath Exception AND MIT"

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-k 'not test_get_license_key_info_vendored'

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-setuptools, python3-pytest

=== debian/watch ===
version=4
https://github.com/nexB/license-expression/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-license-expression 30.0.0

=== debian/changelog ===
python-license-expression (30.0.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Jul 2022 10:36:56 -0400

python-license-expression (30.0.0-1) unstable; urgency=medium

  * New upstream version 30.0.0
  * Update standards version to 4.6.1, no changes needed

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 27 May 2022 12:17:43 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pytest,
  python3-boolean,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/nexB/license-expression
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-license-expression
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-license-expression.git

## python-license-expression 30.1.0

=== Makefile ===
# SPDX-License-Identifier: Apache-2.0
#
# Copyright (c) nexB Inc. and others. All rights reserved.
# ScanCode is a trademark of nexB Inc.
# SPDX-License-Identifier: Apache-2.0
# See http://www.apache.org/licenses/LICENSE-2.0 for the license text.
# See https://github.com/nexB/skeleton for support or download.
# See https://aboutcode.org for more information about nexB OSS projects.
#

# Python version can be specified with `$ PYTHON_EXE=python3.x make conf`
PYTHON_EXE?=python3
VENV=venv
ACTIVATE?=. ${VENV}/bin/activate;

dev:
	@echo "-> Configure the development envt."
	./configure --dev

isort:
	@echo "-> Apply isort changes to ensure proper imports ordering"
	${VENV}/bin/isort --sl -l 100 src tests setup.py

black:
	@echo "-> Apply black code formatter"
	${VENV}/bin/black -l 100 src tests setup.py

doc8:
	@echo "-> Run doc8 validation"
	@${ACTIVATE} doc8 --max-line-length 100 --ignore-path docs/_build/ --quiet docs/

valid: isort black

check:
	@echo "-> Run pycodestyle (PEP8) validation"
	@${ACTIVATE} pycodestyle --max-line-length=100 --exclude=.eggs,venv,lib,thirdparty,docs,migrations,settings.py,.cache .
	@echo "-> Run isort imports ordering validation"
	@${ACTIVATE} isort --sl --check-only -l 100 setup.py src tests . 
	@echo "-> Run black validation"
	@${ACTIVATE} black --check --check -l 100 src tests setup.py

clean:
	@echo "-> Clean the Python env"
	./configure --clean

test:
	@echo "-> Run the test suite"
	${VENV}/bin/pytest -vvs

docs:
	rm -rf docs/_build/
	@${ACTIVATE} sphinx-build docs/ docs/_build/

.PHONY: conf dev check valid black isort clean test docs

=== debian/changelog ===
python-license-expression (30.1.0-1) unstable; urgency=medium

  * New upstream version 30.1.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 22 Jan 2023 15:55:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,
  python3-pytest,
  python3-boolean,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/nexB/license-expression
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-license-expression
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-license-expression.git

=== debian/tests/control ===
Tests: pytest
Depends: python3-license-expression, python3-all, python3-setuptools, python3-pytest

## python-license-expression 30.1.1

=== debian/changelog ===
python-license-expression (30.1.1-1) unstable; urgency=medium

  * New upstream version 30.1.1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 29 Oct 2023 11:06:44 +0100

## python-license-expression 30.3.0

=== debian/changelog ===
python-license-expression (30.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 30.3.0

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Apr 2024 05:54:58 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-k 'not test_skeleton_codestyle and not test_get_license_key_info_vendored'

%:
	dh $@ --buildsystem=pybuild

## python-license-expression 30.4.1

=== etc/scripts/requirements.txt ===
--- 
+++ 
@@ -9,3 +9,4 @@
 twine
 wheel
 build
+packvers

=== debian/changelog ===
python-license-expression (30.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 30.4.1
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

 -- Douglas Alves dos Santos <douglasvestos@gmail.com>  Thu, 13 Feb 2025 12:10:51 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest,
  python3-boolean,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/nexB/license-expression
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-license-expression
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-license-expression.git
